Skip to main content
`Ctrl`+`K`

# DMPolytopeMatchVertexOrientation

Determine an orientation (transformation) that takes the source vertex arrangement to the target vertex arrangement

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMPolytopeMatchVertexOrientation(DMPolytopeType ct, const PetscInt sourceVert[], const PetscInt targetVert[], PetscInt *ornt, PetscBool *found)

Not Collective

## Input Parameters

- ct - The `DMPolytopeType`

- sourceVert - The source arrangement of vertices

- targetVert - The target arrangement of vertices

## Output Parameters

- ornt - The orientation (transformation) which will take the source arrangement to the target arrangement

- found - Flag indicating that a suitable orientation was found

## Notes

An arrangement is a vertex order

Each orientation (transformation) is labeled with an integer from negative `DMPolytopeTypeGetNumArrangements(ct)`/2 to `DMPolytopeTypeGetNumArrangements(ct)`/2 that labels each arrangement (vertex ordering).

See `DMPolytopeMatchOrientation()` to find a new face orientation that takes the source face arrangement to the target face arrangement

## See Also

DM Basics, `DM`, `DMPolytopeType`, `DMPolytopeGetOrientation()`, `DMPolytopeMatchOrientation()`, `DMPolytopeTypeGetNumVertices()`, `DMPolytopeTypeGetVertexArrangement()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages